glusterfs driver doesn't report volume stats

Bug #1164038 reported by Eric Harney on 2013-04-03
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Cinder
High
Eric Harney
Grizzly
High
Eric Harney

Bug Description

The glusterfs driver doesn't implement the get_volume_stats function. This means that volume creation will fail at the scheduler with the following:

2013-04-03 10:58:37 ERROR [cinder.scheduler.filters.capacity_filter] Free capacity not set: volume node info collection broken.
2013-04-03 10:58:37 ERROR [cinder.scheduler.manager] Failed to schedule_create_volume: No valid host was found.

Need to add this functionality to the driver.

Eric Harney (eharney) on 2013-04-03
Changed in cinder:
assignee: nobody → Eric Harney (eharney)
Changed in cinder:
status: New → In Progress
Eric Harney (eharney) on 2013-04-04
tags: added: grizzly-backport-potential

Reviewed: https://review.openstack.org/26034
Committed: http://github.com/openstack/cinder/commit/d59094f316f0c41aaa7be63ee4e25e2dea4fa0a9
Submitter: Jenkins
Branch: master

commit d59094f316f0c41aaa7be63ee4e25e2dea4fa0a9
Author: Eric Harney <email address hidden>
Date: Wed Apr 3 14:39:38 2013 -0400

    Implement get_volume_stats for GlusterFS driver

    Implement get_volume_stats(), so that the GlusterFS driver
    will work correctly with the scheduler.

    Fixes bug: 1164038

    Change-Id: Ib4db8bad897212227b39704e2e6cb5f07f2bb70e

Changed in cinder:
status: In Progress → Fix Committed
Alan Pevec (apevec) on 2013-04-10
Changed in cinder:
importance: Undecided → High

Reviewed: https://review.openstack.org/26377
Committed: http://github.com/openstack/cinder/commit/b8de829a885d8b48a2794b4607eb5f70b8a3d4e9
Submitter: Jenkins
Branch: stable/grizzly

commit b8de829a885d8b48a2794b4607eb5f70b8a3d4e9
Author: Eric Harney <email address hidden>
Date: Wed Apr 3 14:39:38 2013 -0400

    Implement get_volume_stats for GlusterFS driver

    Implement get_volume_stats(), so that the GlusterFS driver
    will work correctly with the scheduler.

    Fixes bug: 1164038

    Change-Id: Ib4db8bad897212227b39704e2e6cb5f07f2bb70e
    (cherry picked from commit d59094f316f0c41aaa7be63ee4e25e2dea4fa0a9)

tags: added: in-stable-grizzly
removed: grizzly-backport-potential
Thierry Carrez (ttx) on 2013-05-29
Changed in cinder:
milestone: none → havana-1
status: Fix Committed → Fix Released
Alan Pevec (apevec) on 2013-08-06
tags: removed: in-stable-grizzly
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers